[unixODBC-support] Can't initialize SQL_OV_ODBC3_80 version.

Nick Gorham nick at lurcher.org
Thu Aug 1 21:49:11 BST 2013


On 01/08/13 19:27, Martin J. Evans wrote:
> On 01/08/2013 19:11, Frank A. U. wrote:
>> Hello,
>>
>> I'm trying to initialize the ODBC-3.8 version.
>>
>> I get an environment handle successfully:
>> [ODBC][1882][1375380557.851563][__handles.c][460]
>>         Exit:[SQL_SUCCESS]
>>             Environment = 0x7fffec000a00
>>
>> Setting the version fails:
>> [ODBC][1882][1375380559.541307][SQLSetEnvAttr.c][189]
>>         Entry:
>>             Environment = 0x7fffec000a00
>>             Attribute = SQL_ATTR_ODBC_VERSION
>>             Value = 0x17c
>>             StrLen = 0
>> [ODBC][1882][1375380559.541408][SQLSetEnvAttr.c][256]Error: HY024
>>
>> I can initialize the ODBC-3.0 version though.  Any idea what I might be
>> doing wrong?
>>
>> Regards,
>> Frank
>
> Nick will correct me if I'm wrong but I don't think it does 3.8 yet.

It does (or should) in 2.3.2pre, but that just what I think it should 
do, what it actually does may be a different matter.

-- 
Nick


More information about the unixODBC-support mailing list